DeepFellow DOCS

List all toolboxes

GET
/toolboxes

Retrieve a list of toolboxes.

Needs admin bearer token in authorization header.

Authorization

headerAuthorizationBearer <token>

Query Parameters

limit?integer
Range1 <= value <= 200
Default100
after?|null
before?|null

Header Parameters

OpenAI-Organization?|

Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.

OpenAI-Project?|

Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization

Response Body

Successful Response

application/json
  1. response

Model for output of toolbox list endpoint.

object?string
Default"list"
first_id*|null
last_id*|null
has_more*boolean
data*array<>
Example Request
curl -X GET 'https://deepfellow-server-host/toolboxes'
Example Response
{  "object": "list",  "first_id": "5eb7cf5a86d9755df3a6c593",  "last_id": "5eb7cf5a86d9755df3a6c593",  "has_more": true,  "data": [    {      "id": "5eb7cf5a86d9755df3a6c593",      "name": "string",      "project_id": "5eb7cf5a86d9755df3a6c593",      "created_at": 0    }  ]}

We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.